Subject: Re: linux-next: sparc tree build failure

From: Sam Ravnborg <[email-masked]>
Date: Mon, 28 Jul 2008 13:16:58 +0200

On Mon, Jul 28, 2008 at 08:12:14PM +1000, Stephen Rothwell wrote:
> Hi Sam,
> 
> On Mon, 28 Jul 2008 10:21:14 +0200 Sam Ravnborg <[email-masked]> wrote:
> >
> > I cannot reproduce it here...
> > Can you try to delete rm -rf usr/include/ and build again.
> 
> These builds always start with a completely empty object directory.
> 
> > If it continue to happen then try to send me a "make V=1" output.
> 
> Its happened every build since 20080723 ... but I will try to get a V=1
> build.
OK - then it is the old breakage.
I had to break headers_check for a while when merging
the header files for sparc and sparc64.
This is now done and patches are in davem's sparc-next and
a pull request are sent to Linus.

So expect this breakage to be fixed next time you pull (assuming
you pull in sparc-next or Linus pulls in from davem).

Sorry for the hassle it has gving you - but I could not work out
a way that avoided the breakage.

	Sam